Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/WalkingEngine/GT2004ParameterSet.h File Reference

Definition of class GT2004Parameters and GT2004ParametersSet. More...

`#include "InvKinWalkingParameters.h"`
`#include "Tools/Actorics/Kinematics.h"`
`#include "Tools/Evolution/Individual.h"`
`#include "Tools/Math/Pose2D.h"`
`#include <string.h>`

Include dependency graph for GT2004ParameterSet.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GT2004Parameters
| Parameters for GT2004WalkingEngine. More...
class | GT2004ParametersSet
| ParametersSet for GT2004WalkingEngine. More...
## Defines
#define | interpolateInvalid(v1, v2, factor1)
## Functions
In & | operator>> (In &stream, GT2004Parameters &walkingParameters)
| Streaming operator that reads GT2004Parameters from a stream.
Out & | operator<< (Out &stream, const GT2004Parameters &walkingParameters)
| Streaming operator that writes GT2004Parameters to a stream.
In & | operator>> (In &stream, GT2004ParametersSet &walkingParametersSet)
| Streaming operator that reads GT2004ParametersSets from a stream.
Out & | operator<< (Out &stream, const GT2004ParametersSet &walkingParametersSet)
| Streaming operator that writes GT2004ParametersSets to a stream.

## Detailed Description

Definition of class GT2004Parameters and GT2004ParametersSet.

Author:
  Uwe Düffert

Definition in file GT2004ParameterSet.h.

## Define Documentation

#define interpolateInvalid | ( | v1,
|  | v2,
|  | factor1 |  | ) |

| Value:
    (((v1==jointDataInvalidValue)||(v2==jointDataInvalidValue))? \
      ((factor1<0.5)?v2:v1):(factor1*v1+(1-factor1)*v2));
Definition at line 238 of file GT2004ParameterSet.h. Referenced by InvKinWalkingParameters::interpolate(), and GT2004Parameters::interpolate().

## Function Documentation

In& operator>> | ( | In & | stream,
|  | GT2004Parameters & | walkingParameters
| ) |

  | Streaming operator that reads GT2004Parameters from a stream. Parameters:
  stream | The stream from which is read.
  walkingParameters | The GT2004Parameters object.
Returns: The stream. Definition at line 99 of file GT2004ParameterSet.cpp. References GT2004Parameters::correctedMotion, GT2004Parameters::footMode, GT2004Parameters::foreCenterX, GT2004Parameters::foreFootLift, GT2004Parameters::foreFootTilt, GT2004Parameters::foreHeight, GT2004Parameters::foreWidth, GT2004Parameters::groundPhase, GT2004Parameters::hindCenterX, GT2004Parameters::hindFootLift, GT2004Parameters::hindFootTilt, GT2004Parameters::hindHeight, GT2004Parameters::hindWidth, GT2004Parameters::index, GT2004Parameters::legPhase, GT2004Parameters::liftPhase, GT2004Parameters::loweringPhase, GT2004Parameters::requestedMotion, and GT2004Parameters::stepLen.

Out& operator<< | ( | Out & | stream,
|  | const GT2004Parameters & | walkingParameters
| ) |

  | Streaming operator that writes GT2004Parameters to a stream. Parameters:
  stream | The stream to write on.
  walkingParameters | The GT2004Parameters object.
Returns: The stream. Definition at line 136 of file GT2004ParameterSet.cpp. References GT2004Parameters::correctedMotion, GT2004Parameters::footMode, GT2004Parameters::foreCenterX, GT2004Parameters::foreFootLift, GT2004Parameters::foreFootTilt, GT2004Parameters::foreHeight, GT2004Parameters::foreWidth, GT2004Parameters::groundPhase, GT2004Parameters::hindCenterX, GT2004Parameters::hindFootLift, GT2004Parameters::hindFootTilt, GT2004Parameters::hindHeight, GT2004Parameters::hindWidth, GT2004Parameters::index, GT2004Parameters::legPhase, GT2004Parameters::liftPhase, GT2004Parameters::loweringPhase, GT2004Parameters::requestedMotion, and GT2004Parameters::stepLen.

In& operator>> | ( | In & | stream,
|  | GT2004ParametersSet & | walkingParametersSet
| ) |

  | Streaming operator that reads GT2004ParametersSets from a stream. Parameters:
  stream | The stream from which is read.
  walkingParametersSet | The GT2004ParametersSet object.
Returns: The stream. Definition at line 1036 of file GT2004ParameterSet.cpp. References GT2004ParametersSet::rotationOnly, and GT2004ParametersSet::withWalk.

Out& operator<< | ( | Out & | stream,
|  | const GT2004ParametersSet & | walkingParametersSet
| ) |

  | Streaming operator that writes GT2004ParametersSets to a stream. Parameters:
  stream | The stream to write on.
  walkingParametersSet | The GT2004ParametersSet object.
Returns: The stream. Definition at line 1055 of file GT2004ParameterSet.cpp. References GT2004ParametersSet::rotationOnly, and GT2004ParametersSet::withWalk.